Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util.text
Class GlyphNameFieldPart.Factory

    java.lang.Object
      org.apache.fop.util.text.GlyphNameFieldPart.Factory

All Implemented Interfaces:
  AdvancedMessageFormat.PartFactory

Enclosing class:
  GlyphNameFieldPart

    public static class GlyphNameFieldPart.Factory

extends java.lang.Object
implements AdvancedMessageFormat.PartFactory

Factory for `GlyphNameFieldPart`.

Constructor Summary
`GlyphNameFieldPart.Factory()`

Method Summary
`java.lang.String` | `getFormat()` Returns the name of the message part format.
`AdvancedMessageFormat.Part` | `newPart(java.lang.String fieldName, java.lang.String values)` Creates a new part by parsing the values parameter to configure the part.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyphNameFieldPart.Factory

    public GlyphNameFieldPart.Factory()

Method Detail

### newPart

    public AdvancedMessageFormat.Part newPart(java.lang.String fieldName,
                                              java.lang.String values)

  Creates a new part by parsing the values parameter to configure the part.

  Specified by:
    `newPart` in interface `AdvancedMessageFormat.PartFactory`
  Parameters:
    `fieldName` - the field name
    `values` - the unparsed parameter values
  Returns:
    the new message part

### getFormat

    public java.lang.String getFormat()

  Returns the name of the message part format.

  Specified by:
    `getFormat` in interface `AdvancedMessageFormat.PartFactory`
  Returns:
    the name of the message part format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.